 toggleKey =new Object();
 toggleKey[0] = "_off";
 toggleKey[1] = "_on";
 toggleKey[2] = "_ovr";
 toggleKey[3] = "_out";
 toggleKey[4] = "_mdn";
 toggleKey[5] = "_mup";

function imgChange(id , act){
	if(document.images){ document.images[id].src = eval("img."+ id + toggleKey[act] + ".src");}
}

// 이미지 변경은 imgChange('img 테그 name' , 0) 일때 off 이미지, imgChange('img 테그 name' , 1) 이면 on 이미지
// 각 이미지 버튼에 롤오버 이미지를 추가 적용하려면 아래 형식처럼 on,off 이미지 정의후 위 함수형식으로 호출

 if(document.images){
	img = new Object();
	// mute 버튼 이미지 토글
	img.vmute_off = new Image();
	img.vmute_off.src = "./img/touming.gif";
	img.vmute_on = new Image();
	img.vmute_on.src = "./img/touming.gif";
	
	// 플레이모드 (순차.랜덤) 이미지 토글
	img.pmode_off = new Image();
	img.pmode_off.src = "./img/touming.gif";
	img.pmode_on = new Image();
	img.pmode_on.src = "./img/touming.gif";

	// loop 버튼 이미지 토글
	img.rept_off = new Image();
	img.rept_off.src = "./img/touming.gif";
	img.rept_on = new Image();
	img.rept_on.src = "./img/touming.gif";

	// Play 버튼 이미지 토글
	img.playt_off = new Image();
	img.playt_off.src = "./img/touming.gif";
	img.playt_on = new Image();
	img.playt_on.src = "./img/touming.gif";
	img.playt_ovr = new Image();
	img.playt_ovr.src = "./img/touming.gif";


	// Pause & Play 버튼 이미지 토글
	img.pauzt_off = new Image();
	img.pauzt_off.src = "./img/touming.gif";
	img.pauzt_on = new Image();
	img.pauzt_on.src = "./img/touming.gif";
	img.pauzt_ovr = new Image();
	img.pauzt_ovr.src = "./img/touming.gif";

	// Stop 버튼 이미지 토글
	img.stopt_off = new Image();
	img.stopt_off.src = "./img/touming.gif";
	img.stopt_on = new Image();
	img.stopt_on.src = "./img/touming.gif";
	img.stopt_ovr = new Image();
	img.stopt_ovr.src = "./img/touming.gif";

	//Scope 이미지 토글
	img.scope_off=new Image();
	img.scope_off.src="./img/touming.gif";
	img.scope_on=new Image();
	img.scope_on.src="./img/touming.gif";

	//Prev 트랙 토글
	img.prevt_out = new Image();
	img.prevt_out.src = "./img/touming.gif";
	img.prevt_ovr = new Image();
	img.prevt_ovr.src = "./img/touming.gif";

	//Next 트랙 토글
	img.nextt_out = new Image();
	img.nextt_out.src = "./img/touming.gif";
	img.nextt_ovr = new Image();
	img.nextt_ovr.src = "./img/touming.gif";

	//볼륨 UP 토글
	img.vup_out = new Image();
	img.vup_out.src = "./img/touming.gif";
	img.vup_ovr = new Image();
	img.vup_ovr.src = "./img/touming.gif";

	//볼륨 Down 토글
	img.vdn_out = new Image();
	img.vdn_out.src = "./img/touming.gif";
	img.vdn_ovr = new Image();
	img.vdn_ovr.src = "./img/touming.gif";

	//플레이리스트 토글
	img.plist_out = new Image();
	img.plist_out.src = "./img/touming.gif";
	img.plist_ovr = new Image();
	img.plist_ovr.src = "./img/touming.gif";

}

function imgtog(tg , act){
 if(tg=="vmute"){
	if(act=="2"){ imgChange("vmute", 1);}
	else{imgmute("vmute",0);}
 }

 if(tg=="vdn"){
	if(act=="2"){ imgChange("vdn", 2);}
	else{imgChange("vdn",3);}	
 }

 if(tg=="vup"){
	if(act=="2"){ imgChange("vup", 2);}
	else{imgChange("vup",3);}	
 }

 if(tg=="pmode"){
	if(act=="2"){ imgChange("pmode", 1);}
	else{imgrnd();}	
 }

 if(tg=="rept"){
	if(act=="2"){ imgChange("rept", 1);}
	else{imgrept();}	
 }

 if(tg=="nextt"){
	if(act=="2"){ imgChange("nextt", 2);}
	else{imgChange("nextt",3);}	
 }

 if(tg=="prevt"){
	if(act=="2"){ imgChange("prevt", 2);}
	else{imgChange("prevt",3);}	
 }

 if(tg=="pauzt"){
	if(act=="2"){ imgpauz(2);}
	else{imgpauz();}
}

 if(tg=="playt"){
	if(act=="2"){ imgplay(2);}
	else{imgplay();}
}

 if(tg=="stopt"){
	if(act=="2"){ imgstop(2);}
	else{imgstop();}
}

 if(tg=="plist"){
	if(act=="2"){ imgChange("plist", 2);}
	else{imgChange("plist",3);}	
 }
}


function imgmute(){
 var ps=Exobud.settings;
 if(ps.mute){ imgChange("vmute",1);}
 else{imgChange("vmute",0);}
}

function imgrnd(){
 if(blnRndPlay){imgChange("pmode", 1);}
 else{imgChange("pmode", 0);}
}

function imgrept(){
 if(blnRept){imgChange("rept", 1);}
 else{imgChange("rept", 0);}
}

function imgpauz(f){
 var wmps=Exobud.playState;
 if(f==2){imgChange("pauzt",2);}
 else{ if(wmps==2){imgChange("pauzt",1);}
	else{imgChange("pauzt",0);}
 }
}

function imgplay(f){
 var wmps=Exobud.playState;
 if(f==2){ imgChange("playt",2);}
 else{ if(wmps==3){imgChange("playt",1);}
	else{imgChange("playt",0);}
 }
}

function imgstop(f){
 var wmps=Exobud.playState;
 if(f==2){ imgChange("stopt",2);}
 else{ if(wmps==2 || wmps==3){imgChange("stopt",0);}
	else{imgChange("stopt",1);}
	
 }
}

